Summary:	Set up interface aliases for bind9 system tests
Name:		bind-testsuite-setup
Version:	1
Release:	%mkrel 10
License:	ISC
Group:		System/Servers
URL:		https://www.isc.org/products/BIND/
Source0:	ifconfig.sh
Requires:	automake
BuildArch:	noarch

%description
This package provides a slightly modified bin/tests/system/ifconfig.sh file
from bind-9.9.3-P2 as /usr/sbin/bind-testsuite-setup.

This package is only needed when building ISC BIND in order to setup the
required interface aliases for bind9 system tests. This can't be done properly
unless executed as the root user. All packages are built as non-root.

Do not install this package unless you are NOT going to build the ISC BIND
packages.

%prep

%setup -q -c -T

%build

%install
install -d %{buildroot}%{_sbindir}
install -m0755 %{SOURCE0} %{buildroot}%{_sbindir}/bind-testsuite-setup

%post
%{_sbindir}/bind-testsuite-setup up

%preun
%{_sbindir}/bind-testsuite-setup down

%files
%{_sbindir}/bind-testsuite-setup



%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1-10.mga10
+ Revision: 2196872
- Mageia 10 Mass Rebuild

* Sat Mar 19 2022 umeabot <umeabot> 1-9.mga9
+ Revision: 1801047
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 1-8.mga8
+ Revision: 1490293
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1-7.mga7
+ Revision: 1261760
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1-6.mga7
+ Revision: 1260107
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1-5.mga6
+ Revision: 947953
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1-4.mga5
+ Revision: 745044
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1-3.mga5
+ Revision: 678152
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1-2.mga4
+ Revision: 530884
- Mageia 4 Mass Rebuild
+ oden <oden>
- fix typo

* Tue Jul 30 2013 oden <oden> 1-1.mga4
+ Revision: 460890
- imported package bind-testsuite-setup

